Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Edge Configuration

Get Edge Configuration

get

Returns all the configuration from the Edge.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
edgeIpstring · enumRequired

The IP address of the edge

Possible values:
Responses
200

Successful Response

application/json
get/v1/edge/{edgeIp}/edgeconfig
GET /api/v1/edge/{edgeIp}/edgeconfig HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful Response

{
  "MmeNetworkOperator": {
    "networkoperator": "Monogoto4G"
  },
  "AmfNetworkOperator": {
    "networkoperator": "Monogoto5G"
  },
  "edge-id": {
    "edge-id": "edge7"
  },
  "edge-cid": {
    "edge-cid": "cid_96d5410d-1dc9-4357-88ce-58c4fcc06b19"
  },
  "deploymentType": {
    "rat_4g": true,
    "rat_5g": true
  },
  "plmns": {
    "plmns": [
      {
        "plmn": "USA 315010",
        "mcc": "315",
        "mnc": "310",
        "rat": "4G"
      },
      {
        "plmn": "USA_5G 315010",
        "mcc": "315",
        "mnc": "010",
        "rat": "5G",
        "tac": "000001"
      }
    ]
  },
  "apnProfile": {
    "apn_name": "data.mono",
    "ambr_ul": 1650000,
    "ambr_dl": 1650000,
    "mbr_ul": 1650000,
    "mbr_dl": 1650000,
    "dns_primary": "8.8.8.8",
    "dns_secondary": "4.4.4.4",
    "mtu": 1500,
    "urr_vol_th": 10240
  },
  "apnProfile5G": {
    "apn_name": "data.mono",
    "ambr_ul": 1650000,
    "ambr_dl": 1650000,
    "mbr_ul": 1650000,
    "mbr_dl": 1650000,
    "dns_primary": "8.8.8.8",
    "dns_secondary": "8.8.8.4",
    "mtu": 1300,
    "urr_vol_th_5G": 10240
  },
  "ueIpPool": {
    "ueIpNetwork": "192.168.100.0",
    "mask": "255.255.255.0"
  },
  "ueIpPool5G": {
    "ueIpPool5G": "192.168.101.0/24",
    "ueIpPool5GSec": "192.168.101.128/24"
  },
  "mmeS1Ip": {
    "ip": "192.168.200.2/24",
    "gateway": "192.168.200.1"
  },
  "upfS1uIp": {
    "ip": "192.168.200.3/24",
    "gateway": "192.168.200.1"
  },
  "amfN2Ip": {
    "ip": "192.168.200.2/24",
    "gateway": "192.168.200.1"
  },
  "upfN3Ip": {
    "ip": "192.168.200.4/24",
    "gateway": "192.168.200.1"
  },
  "ranSubNet": {
    "ip": "192.168.200.0/24"
  },
  "ranSubNet5G": {
    "ip": "192.168.200.0/24"
  },
  "s6aInfo": {
    "primary_host_name": "drafr1.monogoto.io",
    "primary_realm": "monogoto.io",
    "is_primary_active": true,
    "secondary_host_name": "hss.omec.svc.cluster.local",
    "secondary_realm": "omec.svc.cluster.local",
    "is_secondary_active": false
  },
  "dualHssInfo": {
    "active_hss": "primary",
    "dual_hss": true
  },
  "mmeS6aContextId": {
    "ip": 1
  },
  "relativeMMECapacity": {
    "relative_mme_capacity": 10
  },
  "s1apInactiveTimerValue": {
    "s1ap_inactive_timer": 1440
  },
  "s1apInactiveTimerValue5G": {
    "s1ap_inactive_timer": 1440
  },
  "cdrInactiveTimerValue": {
    "cdr_inactive_timer": 60
  },
  "cdrInactiveTimerValue5G": {
    "cdr_inactive_timer": 60
  },
  "t3412TimerValue": {
    "t3412_timer": 20
  },
  "t3512TimerValue": {
    "t3512_timer": 20
  },
  "version": {
    "mme-version": {
      "version": "1.0.1",
      "commitId": "9a4fee7"
    },
    "spgw-version": {
      "version": "1.0.1",
      "commitId": "4110c8b"
    },
    "upf-version": {
      "version": "1.0.1",
      "commitId": "6110c8a"
    },
    "amf-version": {
      "version": "1.2.1",
      "commitId": "38fed8c"
    },
    "smf-version": {
      "version": "1.2.1",
      "commitId": "b08a812"
    },
    "upf-5g-version": {
      "version": "1.2.1",
      "commitId": "97a3835"
    },
    "webconfigapp-version": {
      "version": "1.0.1",
      "commitId": "7810c8u"
    },
    "aiab-version": {
      "version": "1.0.1",
      "commitId": "7330c8b"
    }
  },
  "staleSessionStatusValue": {
    "stale_session_status": true
  },
  "staleSessionStatusValue5G": {
    "stale_session_status": true
  },
  "dualHssTimerValue": {
    "dual_hss_timer": 0
  },
  "upTimeData": {
    "uptime": "10:57:18 up 21 days, 45 min"
  }
}

Last updated

Was this helpful?